Skip to content

create

PUT
/user

Creates a user.

requestKey
string

Unique request id. Prevents auto cancel when sending multiple requests.

object
username
required
string
>= 3 characters
password
required
string
>= 8 characters
passwordConfirm
required

Must be equal to “password”

string
>= 8 characters
email
required
string format: email
Example
{
"username": "Angela.Pacocha95",
"password": "deserunt",
"passwordConfirm": "deserunt",
"email": "Braulio98@gmail.com"
}
object
avatar
required
string
collectionName
required
string
created
required
string
emailVisibility
required
boolean
id
required
string
token
required
string
updated
required
string
username
required
string
verified
required
boolean
Example
{
"avatar": "",
"bio": "",
"collectionId": "_pb_users_auth_",
"collectionName": "users",
"created": "2025-01-03 12:23:01.865Z",
"emailVisibility": false,
"id": "nfynp8jhat2o4sy",
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhcGlLZXlVaWQiOiIzMjk3NmExMi03ODE1LTQ1NGQtYTU5Yi1hNzY0ZTE4NmJjNjIiLCJzZWFyY2hSdWxlcyI6eyJjaXRpZXM1MDAiOnt9LCJ0cmFpbHMiOnsiZmlsdGVyIjoicHVibGljID0gdHJ1ZSBPUiBhdXRob3IgPSBuZnlucDhqaGF0Mm80c3kgT1Igc2hhcmVzID0gbmZ5bnA4amhhdDJvNHN5In19fQ.RtK_w6Bjqni720FEjVqIwaWhtrqqy5rFPA7qAdPd0iA",
"updated": "2025-01-03 12:23:01.867Z",
"username": "Dewayne33",
"verified": false
}
object
message
required
string
detail
required
object
code
required
integer
message
required
string
data
required
object
author
required
object
code
required
string
message
required
string
Example
{
"message": "Failed to create record.",
"detail": {
"code": 400,
"message": "Failed to create record.",
"data": {
"author": {
"code": "validation_missing_rel_records",
"message": "Failed to find all relation records with the provided ids."
}
}
}
}
object
message
required
string
details
required
Array<object>
object
code
string
expected
string
received
string
path
Array<string>
message
string
Example
{
"message": "invalid_params",
"details": [
{
"code": "invalid_type",
"expected": "string",
"received": "number",
"path": [
"text"
],
"message": "Expected string, received number"
}
]
}